from setuptools import setup, find_packages

setup(
    name="llm_page_load",
    version="0.2.1",
    description="A tool to find page load LLM comprehensive",
    author="Jianing Liu",
    author_email="1158638435@qq.com",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/your-username/llm_page_load",
    license="MIT",
    packages=find_packages(),
    install_requires=[
        "arrow==1.3.0",
        "beautifulsoup4==4.13.4",
        "boto3==1.38.21",
        "fastapi==0.116.1",
        "Flask==3.1.1",
        "flask_cors==6.0.1",
        "flask_limiter==3.12",
        "flask_socketio==5.5.1",
        "httpx==0.28.1",
        "imagehash==4.3.2",
        "imageio==2.37.0",
        "jieba==0.42.1",
        "kms_client_sdk==0.4.0",
        "kms_sdk==1.0.3",
        "langchain==0.3.26",
        "llmcore_sdk==0.2.37",
        "lxml==6.0.0",
        "matplotlib==3.10.3",
        "moviepy==2.2.1",
        "mssapi_mt==1.5.3rc3",
        "numba==0.61.2",
        "numpy==2.2.6",
        "openai==1.97.0",
        "opencv_contrib_python==4.10.0.84",
        "opencv_python==4.11.0.86",
        "opencv_python_headless==4.11.0.86",
        "openpyxl==3.1.5",
        "optuna==4.4.0",
        "paddleocr==3.1.0",
        "pandas==2.3.1",
        "Pillow==11.3.0",
        "piqa==1.3.2",
        "pydantic==2.11.7",
        "pydantic_settings==2.10.1",
        "python-socketio==5.13.0",
        "python_cat==0.0.11",
        "pytorch_crf==0.7.2",
        "PyYAML==6.0.2",
        "rembg==2.0.65",
        "scipy==1.16.0",
        "seaborn==0.13.2",
        "scikit-image==0.25.2",
        "scikit_learn==1.7.1",
        "tiktoken==0.9.0",
        "torch==2.7.0",
        "tqdm==4.67.1",
        "uvicorn==0.35.0",
    ],
    python_requires=">=3.11",
)
